%define module	MIME-Lite
%define name	perl-%{module}
%define version	2.117
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
In the never-ending quest for great taste with fewer calories, we
proudly present: MIME::Lite. 

MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments. It does not require that you have the Mail:: or MIME::
modules installed. 

You can specify each message part as either the literal data itself (in
a scalar or array), or as a string which can be given to open() to get a
readable filehandle (e.g., "<filename" or "somecommand|"). 

You don't need to worry about encoding your message data: this module
will do that for you. It handles the 5 standard MIME encodings. 

If you need more sophisticated behavior, please get the MIME-tools
package instead. I will be more likely to add stuff to that toolkit over
this one.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%defattr(-,root,root)
%doc COPYING INSTALLING README README.system
%{perl_vendorlib}/MIME/Lite.pm
%{_mandir}/*/*

%changelog
* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.117-1mdk
- first mdk release  
